import request from "@/utils/request";

// 查询故障物理模型管理列表
export function listFaultPhysical(query) {
  return request({
    url: "/model/faultPhysical/list",
    method: "get",
    params: query,
  });
}

// 查询故障物理模型管理详细
export function getFaultPhysical(id) {
  return request({
    url: "/model/faultPhysical/" + id,
    method: "get",
  });
}

// 新增故障物理模型管理
export function addFaultPhysical(data) {
  return request({
    url: "/model/faultPhysical",
    method: "post",
    data: data,
  });
}

// 修改故障物理模型管理
export function updateFaultPhysical(data) {
  return request({
    url: "/model/faultPhysical",
    method: "put",
    data: data,
  });
}

// 删除故障物理模型管理
export function delFaultPhysical(id) {
  return request({
    url: "/model/faultPhysical/" + id,
    method: "delete",
  });
}

// 故障故障物理模型getOptions
export function getFaultPhysicalOptions(typs) {
  return request({
    url: "/model/faultPhysical/getOptions",
    method: "get",
    params: { typs: typs },
  });
}
